in reply to Re^2: Don’t Repeat Your… version number
in thread Don’t Repeat Your… version number

That would be grand. The less boilerplate I need to deploy, the better.

Makeshifts last the longest.

  • Comment on Re^3: Don’t Repeat Your… version number

Replies are listed 'Best First'.
Re^4: Don’t Repeat Your… version number
by liz (Monsignor) on Jul 24, 2006 at 06:17 UTC
    Devel::Required 0.07 now on its way to CPAN. It includes support for (assuming your module's version is 1.01) automatically replacing:
    Version:
    with:
    Version: 1.01
    in README type text files, and:
    =head1 VERSION
    with:
    =head1 VERSION This documentation describes version 1.01.
    in pod type files (such as your module's source) each time your run "perl Makefile.PL". The version information is automatically obtained form the generated "Makefile", so it automatically uses any heuristics that ExtUtils::MakeMaker uses. For more information, see the pod of Devel::Required.

    For the people who can't wait until it is replicated all over the world, you can get a copy from my own CPAN directory

    Have fun!

    Liz.